Loading...
Searching...
No Matches
smartcard::CardReader Interface Reference

Card Reader Interface. More...

## Classes

struct | CardEvent
| Card base event. More...
struct | CardInformation
| Card Information. More...
struct | CardInsertedEvent
| Card inserted event. More...
struct | CardRemovedEvent
| Card removed event. More...
struct | MetaData
| Reader Metadata. More...

## Public Member Functions

MetaData | getMetaData ()
| Retrieve reader metadata. More...
int | getCardInformation (out CardInformation cardInfo)
| Retrieve card information from reader. More...

## Public Attributes

constant int | NO_ERROR = 0
| Error codes. More...
constant int | ERR_SLOT_EMPTY = 1
| no card present in reader

## Detailed Description

Card Reader Interface.

## Member Function Documentation

## getCardInformation()

int smartcard::CardReader::getCardInformation | ( | out CardInformation | cardInfo | ) |

Retrieve card information from reader.

Parameters

  cardInfo | Card Information

Returns
  NO_ERROR if OK
  ERR_SLOT_EMPTY if reader sees no card

## getMetaData()

MetaData smartcard::CardReader::getMetaData | ( |  | ) |

Retrieve reader metadata.

Returns
  metadata

## Member Data Documentation

## NO_ERROR

constant int smartcard::CardReader::NO_ERROR = 0

Error codes.

operation successful, no error

The documentation for this interface was generated from the following file:

- CardReader.idl